As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 323378 - Accessing data:;base64, produces a crash for some architectures
: Accessing data:;base64, produces a crash for some architectures
Status: RESOLVED FIXED
[nvn-dl]
: crash, fixed1.8.0.2, fixed1.8.1, testcase
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: x86 Linux
: -- critical (vote)
: mozilla1.9alpha1
Assigned To: Darin Fisher
: benc
: Patrick McManus [:mcmanus]
Mentors:
data:;base64,
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 23:12 PST by Sylvain Pasche
Modified: 2006-03-02 10:56 PST (History)
1 user (show)
dveditz: blocking1.8.0.2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Prevent crash of negative array access (737 bytes, patch)
2006-01-13 23:13 PST, Sylvain Pasche
darin.moz: review+
benjamin: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Splinter Review

Description User image Sylvain Pasche 2006-01-13 23:12:03 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; fr; rv:1.8) Gecko/20060113 Firefox/1.5
Build Identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9a1) Gecko/20060114 Firefox/1.6a1

See patch. Apparently, i386 does not suffer from this problem. On x86_64, it crashes everytime.

Reproducible: Always

Steps to Reproduce:
Comment 1 User image Sylvain Pasche 2006-01-13 23:13:04 PST
Created attachment 208459 [details] [diff] [review]
Prevent crash of negative array access
Comment 2 User image Darin Fisher 2006-01-19 11:02:31 PST
Comment on attachment 208459 [details] [diff] [review]
Prevent crash of negative array access

r=darin
Comment 3 User image Darin Fisher 2006-01-19 11:05:00 PST
fixed-on-trunk
Comment 4 User image Darin Fisher 2006-01-19 11:05:17 PST
No, seriously... it's fixed-on-trunk.
Comment 5 User image Darin Fisher 2006-01-19 11:06:02 PST
Comment on attachment 208459 [details] [diff] [review]
Prevent crash of negative array access

I think we should try to fix this for FF 2, and we should probably even try for FF 1.5.0.2.
Comment 6 User image Benjamin Smedberg [:bsmedberg] 2006-01-31 06:35:07 PST
Comment on attachment 208459 [details] [diff] [review]
Prevent crash of negative array access

Vicariously approving for darin.
Comment 7 User image Darin Fisher 2006-01-31 06:52:10 PST
fixed1.8.1
Comment 8 User image Daniel Veditz [:dveditz] 2006-02-22 00:03:27 PST
Comment on attachment 208459 [details] [diff] [review]
Prevent crash of negative array access

approved for 1.8.0 branch, a=dveditz
Comment 9 User image Darin Fisher 2006-02-23 11:38:35 PST
fixed1.8.0.2
Comment 10 User image Dave Liebreich [:davel] 2006-03-02 10:56:37 PST
marking [nvn-dl], which removes this bug from the "to be verified by QA" list
for Firefox 1.5.0.2.  

Note You need to log in before you can comment on or make changes to this bug.